Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002871Zandronum[All Projects] Bugpublic2016-10-08 16:262016-12-28 19:22
ReporterStrikerMan780 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002871: Crash state with 0 duration triggers crash/assertion failure in debug builds
DescriptionAttached is a PK3 containing an actor that spawns particles, that subsequently spawn trails behind them with a 0 duration crash state. When spawned, there is an assertion failure and crash in debug builds.
Steps To ReproduceTo reproduce, use a debug build, go into MAP01, and type "summon CrashyParticleSpawner". It should crash immediately.
Attached Files? file icon CrashyParticle.pk3 [^] (655 bytes) 2016-10-08 16:26

- Relationships

-  Notes
User avatar (0015810)
Edward-san (developer)
2016-10-08 17:31
edited on: 2016-10-08 17:42

You should report it at zdoom forum, I can reproduce it with latest git, too.

[edit]nvm, you're banned from there, so I'll do it for you.

[edit2] Done.

User avatar (0016020)
WaTaKiD (updater)
2016-10-16 04:05

zdoom fixed this with: https://github.com/rheit/zdoom/commit/ae14993ba44dff703a190782bcf03594fb74d901 [^]
User avatar (0016126)
WaTaKiD (updater)
2016-10-30 20:46

added in 3.0 with: https://bitbucket.org/Torr_Samaho/zandronum/commits/7447b834b3d659aa8a9713aa563233bfcacba117 [^]
User avatar (0016564)
Ru5tK1ng (updater)
2016-12-28 19:22

I couldn't get Zandronum to crash either offline or online with the test wad. After spawning multiple CrashyParticleSpawners, the game still didn't crash.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-10-08 16:26 StrikerMan780 New Issue
2016-10-08 16:26 StrikerMan780 File Added: CrashyParticle.pk3
2016-10-08 17:31 Edward-san Note Added: 0015810
2016-10-08 17:36 Edward-san Note Edited: 0015810 View Revisions
2016-10-08 17:42 Edward-san Note Edited: 0015810 View Revisions
2016-10-08 17:45 Edward-san Status new => acknowledged
2016-10-08 17:45 Edward-san Resolution open => waiting for zdoom
2016-10-08 17:45 Edward-san Product Version 3.0-beta => 2.1
2016-10-16 04:05 WaTaKiD Note Added: 0016020
2016-10-30 20:46 WaTaKiD Note Added: 0016126
2016-10-30 20:46 WaTaKiD Status acknowledged => needs testing
2016-10-30 20:46 WaTaKiD Resolution waiting for zdoom => open
2016-12-28 19:22 Ru5tK1ng Note Added: 0016564
2016-12-28 19:22 Ru5tK1ng Status needs testing => resolved
2016-12-28 19:22 Ru5tK1ng Resolution open => fixed
2016-12-28 19:22 Ru5tK1ng Fixed in Version => 3.0
2016-12-28 19:22 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker